package com.company.d4960.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;

import java.util.UUID;

@JmixEntity
@Table(name = "MATERIAL_PROPERTY", indexes = {
        @Index(name = "IDX_MATERIAL_PROPERTY_MATERIAL", columnList = "MATERIAL_ID")
})
@Entity
public class MaterialProperty {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "PROPERTY")
    private String name;

    @Column(name = "VALUE_")
    private String value;
    @JoinColumn(name = "MATERIAL_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private Material material;

    public Material getMaterial() {
        return material;
    }

    public void setMaterial(Material material) {
        this.material = material;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}